Index: /charserv-sql.bat
===================================================================
--- /charserv-sql.bat (revision 1)
+++ /charserv-sql.bat (revision 1)
@@ -0,0 +1,9 @@
+@echo off
+rem Writen by Jbain
+:end
+char-server_sql.exe
+echo .
+echo .
+echo Char server crashed! restarting in 15 seconds! press ctl+C to cancel restart!
+PING -n 15 127.0.0.1 >nul
+goto end
Index: /mapserv-sql.bat
===================================================================
--- /mapserv-sql.bat (revision 1)
+++ /mapserv-sql.bat (revision 1)
@@ -0,0 +1,9 @@
+@echo off
+rem Writen by Jbain
+:end
+map-server_sql.exe
+echo .
+echo .
+echo Map server crashed! restarting in 15 seconds! press ctl+C to cancel restart!
+PING -n 15 127.0.0.1 >nul
+goto end
Index: /charserv.bat
===================================================================
--- /charserv.bat (revision 1)
+++ /charserv.bat (revision 1)
@@ -0,0 +1,9 @@
+@echo off
+rem Writen by Jbain
+:end
+char-server.exe
+echo .
+echo .
+echo Char server crashed! restarting in 15 seconds! press ctl+C to cancel restart!
+PING -n 15 127.0.0.1 >nul
+goto end
Index: /mapserv.bat
===================================================================
--- /mapserv.bat (revision 1)
+++ /mapserv.bat (revision 1)
@@ -0,0 +1,9 @@
+@echo off
+rem Writen by Jbain
+:end
+map-server.exe
+echo .
+echo .
+echo Map server crashed! restarting in 15 seconds! press ctl+C to cancel restart!
+PING -n 15 127.0.0.1 >nul
+goto end
Index: /logserv-sql.bat
===================================================================
--- /logserv-sql.bat (revision 1)
+++ /logserv-sql.bat (revision 1)
@@ -0,0 +1,9 @@
+@echo off
+rem Writen by Jbain
+:end
+login-server_sql.exe
+echo .
+echo .
+echo Login server crashed! restarting in 15 seconds! press ctl+C to cancel restart!
+PING -n 15 127.0.0.1 >nul
+goto end
Index: /login-server.sh
===================================================================
--- /login-server.sh (revision 1)
+++ /login-server.sh (revision 1)
@@ -0,0 +1,16 @@
+#/bin/sh
+#Hi my naem is Kirt and I liek anime
+
+ulimit -Sc unlimited
+
+while [ 2 ] ; do
+if [ -f .stopserver2 ] ; then
+echo server marked down >> servlog.txt
+else
+echo restarting server at time at `date +"%m-%d-%H:%M-%S"`>> startlog.txt
+./login-server
+fi
+
+sleep 5
+
+done
Index: /logserv.bat
===================================================================
--- /logserv.bat (revision 1)
+++ /logserv.bat (revision 1)
@@ -0,0 +1,9 @@
+@echo off
+rem Writen by Jbain
+:end
+login-server.exe
+echo .
+echo .
+echo Login server crashed! restarting in 15 seconds! press ctl+C to cancel restart!
+PING -n 15 127.0.0.1 >nul
+goto end
Index: /src/common/mmo.h
===================================================================
--- /src/common/mmo.h (revision 24)
+++ /src/common/mmo.h (revision 1)
@@ -526,7 +526,4 @@
 	JOB_XMAS,
 	JOB_SUMMER,
-    JOB_ADEPT = 30, // [Brain] 
-    JOB_NECROMANCER, // [Brain]
-    JOB_WARLOCK, // Warlock [Brain]
 	JOB_MAX_BASIC,
 
Index: /src/map/atcommand.c
===================================================================
--- /src/map/atcommand.c (revision 24)
+++ /src/map/atcommand.c (revision 1)
@@ -1213,11 +1213,15 @@
 		if (sd->disguise)
 			status_set_viewdata(&sd->bl, sd->disguise);
-		else
-			status_set_viewdata(&sd->bl, sd->status.class_);
-		clif_displaymessage(fd, msg_txt(10)); // Invisible: Off
+  else
+            clif_specialeffect(&sd->bl, 587, 1); // [Temperis]
+            clif_specialeffect(&sd->bl, 589, 1); // [Temperis]
+            status_set_viewdata(&sd->bl, sd->status.class_);
+        clif_displaymessage(fd, msg_txt(10)); // Invisible: Off
 	} else {
-		sd->sc.option |= OPTION_INVISIBLE;
-		sd->vd.class_ = INVISIBLE_CLASS;
-		clif_displaymessage(fd, msg_txt(11)); // Invisible: On
+        clif_specialeffect(&sd->bl, 587, 1); // [Temperis]
+        clif_specialeffect(&sd->bl, 589, 1); // [Temperis]
+        sd->sc.option |= OPTION_INVISIBLE;
+        sd->vd.class_ = INVISIBLE_CLASS;
+        clif_displaymessage(fd, msg_txt(11)); // Invisible: On
 	}
 	clif_changeoption(&sd->bl);
@@ -1265,8 +1269,4 @@
 			{ "gunner",	24 },
 			{ "ninja",	25 },
-			{ "adept",	30 },//New job classes [Brainstorm]
-			{ "necromancer",	31 },
-			{ "necro",	31 },
-			{ "warlock",	32 },
 			{ "high novice",	4001 },
 			{ "swordsman high",	4002 },
@@ -4372,4 +4372,6 @@
 	if (map[m_id].flag.guildlock)
 		strcat(atcmd_output, "GuildLock | ");
+	if (map[m_id].flag.hostile)
+	strcat(atcmd_output, "Hostile | ");
 	clif_displaymessage(fd, atcmd_output);
 
@@ -7814,17 +7816,5 @@
 	return 0;
 }
-//@showsummon [Brainstorm]
-int atcommand_showsummon(const int fd, struct map_session_data* sd, const char* command, const char* message)
-{
-	if (sd->state.showsummon) {
-		sd->state.showsummon = 0;
-		clif_displaymessage(fd, "Summon Stats will not be shown.");
-		return 0;
-	}
-
-	sd->state.showsummon = 1;
-	clif_displaymessage(fd, "Summon Stats is now shown.");
-	return 0;
-}
+
 /*==========================================
  * Barricade Build
@@ -8294,4 +8284,48 @@
 }
 
+/*==========================================
+* @alliance by SketchyPhoenix
+*------------------------------------------*/
+int atcommand_god(const int fd, struct map_session_data* sd, const char* command, const char* message)
+{
+nullpo_retr(-1, sd);
+
+if(sd->state.demon) {
+clif_displaymessage(fd, "You're tainted, you cannot change your ways.");
+return 0;
+}
+
+sd->state.god = !sd->state.god;
+
+if(sd->state.god)
+clif_displaymessage(fd, "You have joined the holy union.");
+else {
+clif_displaymessage(fd, "You have become tainted.");
+map_foreachinrange(atcommand_stopattack,&sd->bl, AREA_SIZE, BL_CHAR, sd->bl.id);
+}
+return 0;
+}
+
+/*==========================================
+* @horde by SketchyPhoenix
+*------------------------------------------*/
+int atcommand_demon(const int fd, struct map_session_data* sd, const char* command, const char* message)
+{
+nullpo_retr(-1, sd);
+
+if(sd->state.god) {
+clif_displaymessage(fd, "You are of the light, darkness cannot consume you.");
+return 0;
+}
+sd->state.demon = !sd->state.demon;
+
+if(sd->state.demon)
+clif_displaymessage(fd, "Your sould is consumed by the darkness, you've gained demonic power.");
+else {
+clif_displaymessage(fd, "You have repented, the darkness has left your soul.");
+map_foreachinrange(atcommand_stopattack,&sd->bl, AREA_SIZE, BL_CHAR, sd->bl.id);
+}
+return 0;
+}
 /*==========================================
  * atcommand_info[] structure definition
@@ -8589,6 +8623,6 @@
 	{ "barricade",         60,     atcommand_barricade },
 	{ "killbarricade",     60,     atcommand_barricade_destroy },
-	//Vanaheim Commands
-	{ "showsummon",         0, atcommand_showsummon}, //Brainstorm
+	{ "god",				60,		atcommand_god },
+	{ "demon",				60,		atcommand_demon },
 };
 
Index: /src/map/itemdb.c
===================================================================
--- /src/map/itemdb.c (revision 24)
+++ /src/map/itemdb.c (revision 1)
@@ -242,12 +242,4 @@
 	if (jobmask & 1<<JOB_NINJA)
 		bclass[0] |= 1<<MAPID_NINJA;
-//why does it have job masks as 26 27 28? wasnt it 29 30 31 or something?
-	//Custom Classes
-	if (jobmask & 1<<26) // Adept [Brain]
-		bclass[0] |= 1<<MAPID_ADEPT;
-	if (jobmask & 1<<27) // Necromancer [Brain]
-		bclass[1] |= 1<<MAPID_ADEPT;
-	if (jobmask & 1<<28) // Warlock [Brain]
-		bclass[2] |= 1<<MAPID_ADEPT;
 }
 
Index: /src/map/script.c
===================================================================
--- /src/map/script.c (revision 24)
+++ /src/map/script.c (revision 1)
@@ -329,7 +329,7 @@
 	MF_NOCHAT,
 	MF_NOEXPPENALTY,
-	MF_GUILDLOCK
+	MF_GUILDLOCK,
+	MF_HOSTILE
 };
-
 const char* script_op2name(int op)
 {
@@ -4324,5 +4324,6 @@
 		return 0;
 
-	map_foreachinarea(buildin_areawarp_sub, m,x0,y0,x1,y1,BL_PC, index,x,y);
+	map_foreachinarea(buildin_areawarp_sub,
+		m,x0,y0,x1,y1,BL_PC,	index,x,y );
 	return 0;
 }
@@ -7486,5 +7487,5 @@
 	int allflag=va_arg(ap,int);
 
-	md->state.npc_killmonster = 1;
+	md->npc_killmonster = 1;
 	
 	if(!allflag){
@@ -7495,5 +7496,5 @@
 			status_kill(bl);
 	}
-	md->state.npc_killmonster = 0;
+	md->npc_killmonster = 0;
 	return 0;
 }
@@ -7570,5 +7571,6 @@
 	}
 		
-	map_foreachinmap(buildin_killmonsterall_sub_strip,m,BL_MOB);
+	map_foreachinmap(buildin_killmonsterall_sub_strip,
+		m,BL_MOB);
 	return 0;
 }
@@ -9027,4 +9029,5 @@
 			case MF_PARTYLOCK:		script_pushint(st,map[m].flag.partylock); break;
 			case MF_GUILDLOCK:		script_pushint(st,map[m].flag.guildlock); break;
+			case MF_HOSTILE:		script_pushint(st,map[m].flag.hostile); break;//Sketchy
 		}
 	}
@@ -9091,4 +9094,5 @@
 			case MF_PARTYLOCK:     map[m].flag.partylock=1; break;
 			case MF_GUILDLOCK:     map[m].flag.guildlock=1; break;
+			case MF_HOSTILE:		map[m].flag.hostile=1; break;//Sketchy
 		}
 	}
@@ -9152,4 +9156,5 @@
 			case MF_PARTYLOCK:     map[m].flag.partylock=0; break;
 			case MF_GUILDLOCK:     map[m].flag.guildlock=0; break;
+			case MF_HOSTILE:		map[m].flag.hostile=0; break;//Sketchy
 		}
 	}
@@ -11805,8 +11810,8 @@
 	data = script_getdata(st,3);
 
+	if( script_hasdata(st,5) )
+		size = script_getnum(st,5);
 	if( script_hasdata(st,4) )
 		class_ = script_getnum(st,4);
-	if( script_hasdata(st,5) )
-		size = script_getnum(st,5);
 
 	get_val(st, data);
@@ -12145,6 +12150,5 @@
 		flag = script_getnum(st,3);
 	nd = npc_name2id(shopname);
-	if( !nd || nd->bl.type != BL_NPC || (nd->subtype != SHOP && nd->subtype != CASHSHOP) )
-	{
+	if (!nd || nd->bl.type!=BL_NPC || nd->subtype!=SHOP) {
 		ShowError("buildin_callshop: Shop [%s] not found (or NPC is not shop type)\n", shopname);
 		script_pushint(st,0);
@@ -12152,16 +12156,15 @@
 	}
 	
-	if( nd->subtype == SHOP )
-	{
-		switch( flag )
-		{
-			case 1: npc_buysellsel(sd,nd->bl.id,0); break; //Buy window
-			case 2: npc_buysellsel(sd,nd->bl.id,1); break; //Sell window
-			default: clif_npcbuysell(sd,nd->bl.id); break; //Show menu
-		}
-	}
-	else
-		clif_cashshop_show(sd, nd);
-
+	switch (flag) {
+		case 1: //Buy window
+			npc_buysellsel(sd,nd->bl.id,0);
+		break;
+		case 2: //Sell window
+			npc_buysellsel(sd,nd->bl.id,1);
+		break;
+		default: //Show menu
+			clif_npcbuysell(sd,nd->bl.id);
+		break;
+	}
 	sd->npc_shopid = nd->bl.id;
 	script_pushint(st,1);
@@ -13378,4 +13381,47 @@
 }
 
+/// Changes invoking character to alliance [sketchy]
+/// usage: alliance;
+BUILDIN_FUNC(god)
+{
+TBL_PC* sd;
+sd = script_rid2sd(st);
+if( sd == NULL )
+return 0;
+
+sd->state.demon = 0;
+sd->state.god = 1;
+return 0;
+}
+
+/// Changes invoking character to horde [sketchy]
+/// usage: horde;
+BUILDIN_FUNC(demon)
+{
+TBL_PC* sd;
+
+sd = script_rid2sd(st);
+if( sd == NULL )
+return 0;
+
+sd->state.god = 0;
+sd->state.demon = 1;
+return 0;
+}
+
+/// Clears faction [sketchy]
+/// usage: factionclear;
+BUILDIN_FUNC(factionclear)
+{
+TBL_PC* sd;
+
+sd = script_rid2sd(st);
+if( sd == NULL )
+return 0;
+
+sd->state.god = 0;
+sd->state.demon = 0;
+return 0;
+}
 
 // declarations that were supposed to be exported from npc_chat.c
@@ -13651,5 +13697,5 @@
 	BUILDIN_DEF(getstrlen,"s"), //strlen [Valaris]
 	BUILDIN_DEF(charisalpha,"si"), //isalpha [Valaris]
-	BUILDIN_DEF(setnpcdisplay,"sv??"),
+	BUILDIN_DEF(setnpcdisplay,"sv?"),
 	BUILDIN_DEF(compare,"ss"), // Lordalfa - To bring strstr to scripting Engine.
 	BUILDIN_DEF(getiteminfo,"ii"), //[Lupus] returns Items Buy / sell Price, etc info
@@ -13728,4 +13774,7 @@
 	BUILDIN_DEF(setquestobjective, "iisi"),
 	BUILDIN_DEF(setqueststatus, "ii"),
+	BUILDIN_DEF(god,""), // sets invoking character to alliance [Sketchy]
+	BUILDIN_DEF(demon,""), // sets invoking character to horde [Sketchy]
+	BUILDIN_DEF(factionclear,""), // clears invoking character's factions [Sketchy]
 	BUILDIN_DEF(hasquest, "i"),
 	{NULL,NULL,NULL},
Index: /src/map/battle.c
===================================================================
--- /src/map/battle.c (revision 24)
+++ /src/map/battle.c (revision 1)
@@ -138,5 +138,5 @@
 }
 
-// _??[WÌx
+// _E?[WÌx
 struct delay_damage {
 	struct block_list *src;
@@ -265,5 +265,5 @@
 
 /*==========================================
- * _??[W?Å?IvZ
+ * _E?[W?Å?IvZ
  *------------------------------------------*/
 int battle_calc_damage(struct block_list *src,struct block_list *bl,int damage,int div_,int skill_num,int skill_lv,int flag)
@@ -370,28 +370,4 @@
 				if (--(sce->val3) <= 0) //We make it work like Safety Wall, even though it only blocks 1 time.
 					status_change_end(bl, SC_KAUPE, -1);
-			return 0;
-		}
-		
-		//Display red flashing aura effect of Adept Blood Lust [Brain]
-		if(sc->data[SC_LUST] && damage > 0){
-			clif_specialeffect(bl, 548, AREA);
-			if(rand()%100 < 10) clif_specialeffect(bl, 455, AREA); //Red Lightnings, 1/10 attacks will show to prevent spam
-		};
-		//Display blue flashing aura effect of Warlock Overwhelming Evil [Brain]
-		if(sc->data[SC_OVERWHELMING] && damage > 0)
-			clif_specialeffect(bl, 73, AREA);
- //AT Field is Irrelevant, I believe.
-		// AT-Field [Brainstorm]
-		if(sc->data[SC_ATFIELD] &&
-			rand()%100 < sc->data[SC_ATFIELD]->val2)
-		{	//Blocks all skills.
-			clif_specialeffect(bl, 438, AREA);
-			//Shouldn't end until Breaker's non-weapon part connects.
-			if (skill_num == ASC_BREAKER ||
-				skill_num == LK_SPIRALPIERCE ||
-				skill_num == CG_ARROWVULCAN ||
-				skill_num == SN_SHARPSHOOTING)
-				if (--sc->data[SC_ATFIELD]->val3 <= 0) //We make it work like Safety Wall
-				status_change_end(bl, SC_ATFIELD, -1);
 			return 0;
 		}
@@ -627,5 +603,5 @@
 
 /*==========================================
- * ?Cû_??[W
+ * ?Cû_E?[W
  *------------------------------------------*/
 int battle_addmastery(struct map_session_data *sd,struct block_list *target,int dmg,int type)
@@ -639,6 +615,5 @@
 
 	if((skill = pc_checkskill(sd,AL_DEMONBANE)) > 0 &&
-		target->type == BL_MOB && //This bonus doesnt work against players.
-		(battle_check_undead(status->race,status->def_ele) || status->race==RC_DEMON) )
+		(status->race==RC_UNDEAD || status->race==RC_DEMON) )
 		damage += (skill*(int)(3+(sd->status.base_level+1)*0.05));	// submitted by orn
 		//damage += (skill * 3);
@@ -649,8 +624,4 @@
 			damage += sd->status.str;
 	}
-//AMIDOINITRITE?! V seems okay.	
-	//Warlock Touch of Corruption (Mage-Monster Killer passive skill) [Brainstorm]
-	if((skill = pc_checkskill(sd,WL_CORRUPTION)) > 0 && target->type==BL_MOB )
-		damage += (skill * (status->int_/10));
 
 	if(type == 0)
@@ -1328,7 +1299,4 @@
 			switch( skill_num )
 			{
-				case NC_DEATHHAND: // Necro Death Hand [Brain]
-					skillratio += -25+25*skill_lv; //I wonder if it will accept that?
-					break;
 				case SM_BASH:
 					skillratio += 30*skill_lv;
@@ -1746,5 +1714,5 @@
 				vit_def = def2/2 + (vit_def>0?rand()%vit_def:0);
 				
-				if((battle_check_undead(sstatus->race,sstatus->def_ele) || sstatus->race==RC_DEMON) && //This bonus already doesnt work vs players
+				if((sstatus->race==RC_UNDEAD || sstatus->race==RC_DEMON) &&
 					src->type == BL_MOB && (skill=pc_checkskill(tsd,AL_DP)) > 0)
 					vit_def += skill*(int)(3 +(tsd->status.base_level+1)*0.04);   // submitted by orn
@@ -2219,7 +2187,5 @@
 		{	//Calc base damage according to skill
 			case AL_HEAL:
-			case PR_BENEDICTIO: //Accidentally deleted the :, replaced it. No difference, so dont worry about this.
-			case AD_DARKHEAL: // Adept Dark Heal
-			//Is this a good place for dark heal, i wonder? Seems fine though.
+			case PR_BENEDICTIO:
 				ad.damage = skill_calc_heal(src, target, skill_lv)/2;
 				break;
@@ -2340,32 +2306,4 @@
 						skillratio += 100 +100*skill_lv +100*(skill_lv/2);
 						break;
-						
-//NOTE: All the skills below here did NOT work before, may have been a stupid mistake but this is for reference.
-					case NC_DRAINLIFE: // Necro Drain Life [Brain]
-						skillratio += 25*skill_lv;
-						break;
-					case WL_HELLFIRE: // Warlock Hellfire [Brain]
-						skillratio += 25*skill_lv;
-						break;
-					case WL_SHADOWBURN: // Warlock Shadow Burn [Brain]
-						skillratio += 20*skill_lv;
-						break;
-					case WL_CURSEDOOM: // Warlock Curse of Doom [Brain]
-						skillratio += 400 + 300*skill_lv; //max 20*matk dmg after 60 seconds
-						break;
-					case WL_SEARING: // Warlock Searing Pain [Brain]
-						if(status_get_sc(target)->data[SC_SEARING])
-							skillratio = 10*pc_checkskill(sd,WL_SEARING);//10% * skilllv
-						break; //Else 100% Matk
-					case WL_IMMOLATE: // Warlock Immolate [Brain]
-						if(status_get_sc(target)->data[SC_IMMOLATE])
-							skillratio += 10*pc_checkskill(sd,WL_SEARING);//100% +10 * searing lv
-						else skillratio += -20 + 20*skill_lv;// Else 80% + 20% * skill lv
-						break;
-					case WL_CONFLAGRATE: // Warlock Conflagrate [Brain]
-						skillratio += 100 + 60*skill_lv + //damage bonus from other fire skills
-							10*pc_checkskill(sd,WL_SEARING) + 10*pc_checkskill(sd,WL_IMMOLATE);
-						break;
-
 				}
 
@@ -2438,12 +2376,5 @@
 		if (!(nk&NK_NO_ELEFIX))
 			ad.damage=battle_attr_fix(src, target, ad.damage, s_ele, tstatus->def_ele, tstatus->ele_lv);
-//Take this into account for errors. It looks out of place/outdated but I will not look further into it until I know.
-		if(skill_num == WL_SHADOWBURN) { // Warlock Shadow Burn [Brain]
-			// This is where we calculate the secondary damage
-			if(ad.damage<1) ad.damage=1;
-			struct Damage md = battle_calc_misc_attack(src,target,skill_num,skill_lv, mflag);
-			if(md.damage<1) md.damage=1;
-			ad.damage += md.damage;
-		}
+
 		if (sd && !(nk&NK_NO_CARDFIX_ATK)) {
 			short t_class = status_get_class(target);
@@ -2511,5 +2442,5 @@
 
 /*==========================================
- * »ÌŒ_??[WvZ
+ * »ÌŒ_E?[WvZ
  *------------------------------------------*/
 struct Damage battle_calc_misc_attack(struct block_list *src,struct block_list *target,int skill_num,int skill_lv,int mflag)
@@ -2645,16 +2576,5 @@
 	case NPC_EVILLAND:
 		md.damage = (skill_lv>6)?666:skill_lv*100;
-//Why the hell is this supposed to be above the break?
-	case WL_SHADOWBURN: // Warlock ShadowBurn dark element damage [Brain]
-		s_ele = ELE_DARK;
-		md.damage = ((300 + 20*skill_lv)/100)*((sstatus->int_*(rand()%300+500))/100); //Fixed between min and max matk for now
 		break;
-		
-// Wouldn't this work better?
-
-/*	case WL_SHADOWBURN: // Warlock ShadowBurn dark element damage [Brain]
-		s_ele = ELE_DARK;
-		md.damage = ((300 + 20*skill_lv)/100)*((sstatus->int_*(rand()%300+500))/100); //Fixed between min and max matk for now
-break;*/
 	}
 
@@ -2750,5 +2670,5 @@
 }
 /*==========================================
- * _??[WvZê??p
+ * _E?[WvZê?E?p
  *------------------------------------------*/
 struct Damage battle_calc_attack(int attack_type,struct block_list *bl,struct block_list *target,int skill_num,int skill_lv,int count)
@@ -2843,20 +2763,4 @@
 	if (sd->sp_vanish_rate && rand()%1000 < sd->sp_vanish_rate)
 		status_percent_damage(&sd->bl, tbl, 0, (unsigned char)sd->sp_vanish_per, false);
-//I don't know about this. But it looks like it fits fine
-	// Adept Blood Pact drains 5% damage per hit [FlavioJS/Brain]
-	if( pc_checkskill(sd, AD_BLOODPACT) > 0 )
-		thp += battle_calc_drain(rdamage,1000,5);
-
-	// Warlock Soul Steal drains 1%*skilllv damage per hit [Brain]
-	if( pc_checkskill(sd, WL_SOULSTEAL) > 0 )
-		tsp += battle_calc_drain(rdamage,1000,pc_checkskill(sd,WL_SOULSTEAL));
-	// Warlock Touch of Corruption burns 1%*skilllv damage as SP per hit [Brain]
-	if( pc_checkskill(sd, WL_CORRUPTION) > 0 ) {// This is the opener, whoops lol.
-		int corrupt_sp;
-		corrupt_sp = battle_calc_drain(rdamage,1000,pc_checkskill(sd,WL_CORRUPTION));
-		if(status_damage(NULL, tbl, 0, corrupt_sp, 0, 3))
-			rhp += corrupt_sp;//If SP damage was caused, increase HP damage too
-	}// Where does this bracket open?
-
 	if (!thp && !tsp) return;
 
@@ -2868,5 +2772,5 @@
 
 /*==========================================
- * Ê?í?U??ÜÆß
+ * Ê?EU?E?ÜÆß
  *------------------------------------------*/
 enum damage_lv battle_weapon_attack(struct block_list* src, struct block_list* target, unsigned int tick, int flag)
@@ -3082,17 +2986,5 @@
 	return wd.dmg_lv;
 }
-//new battle check code, i speculate it. But it looks like it just calls other races and elements into one big one.
-int battle_check_living(int race,int element)// Living creature check [Brain]
-{
-	if(element == ELE_UNDEAD || race == RC_UNDEAD // Undead element and race check
-		|| race == RC_DEMON			// Demon race check
-		|| race == RC_FORMLESS			// Formless race check
-		|| element == ELE_GHOST){		// Ghost element check
-		return 0;
-	}
-	else {
-	return 1;
-	}
-}
+
 int battle_check_undead(int race,int element)
 {
@@ -3241,4 +3133,15 @@
 				strip_enemy = 0;
 			}
+			// Sketchy - begin
+		if (sd->state.god && t_bl != s_bl && s_bl->type == BL_PC && ((TBL_PC*)s_bl)->state.demon && map[m].flag.hostile) {
+		state |= BCT_ENEMY;
+		strip_enemy = 0;
+		}
+
+		if (sd->state.demon && t_bl != s_bl && s_bl->type == BL_PC && ((TBL_PC*)s_bl)->state.god && map[m].flag.hostile) {
+		state |= BCT_ENEMY;
+		strip_enemy = 0;
+		}
+		// Sketchy -end
 			break;
 		}
@@ -3809,10 +3712,5 @@
 	{ "auction_feeperhour",                 &battle_config.auction_feeperhour,              12000,  0,      INT_MAX,        },
 	{ "auction_maximumprice",               &battle_config.auction_maximumprice,            500000000, 0,   MAX_ZENY,       },
-//battle conf declarations, does this mean we add new lines to battle.conf?
-	//Vanaheim battle settings [Brainstorm]
-	{ "necro_retaliation",                  &battle_config.necro_retaliation,               1,      0,      1,              },
-	{ "disp_summon_stats",                  &battle_config.disp_summon_stats,               0,      0,      1,              },
 	{ "gm_viewequip_min_lv",                &battle_config.gm_viewequip_min_lv,             0,      0,      99,             },
-	{ "homunculus_auto_vapor",              &battle_config.homunculus_auto_vapor,           0,      0,      1,              },
 };
 
